# Compile bug with Gimp libraries

Jean Carre (jcarre@microtec.net)
Sun, 18 Apr 1999 15:13:12 -0400

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: *** Gaetano Paolone ***: "Re: Mustek 1200SP/12000SP Firmware-1.05"
- Previous message: Jerome ALET: "May I help you ?"
- Next in thread: Oliver Rauch: "Re: Compile bug with Gimp libraries"
- Reply: Oliver Rauch: "Re: Compile bug with Gimp libraries"

Hi !

Does anyone have a clue with my compile problem. I try to compile to
give GIMP support to the xscanimage with sane-1.0 (and sane-pre1.0.1)
and get the following error :

***** lots of lines delete ***
gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -I/usr/X11R6/include -I/usr/lib/glib/include
-D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0
-g -O2 -Wall gtkglue.c
gcc -o .libs/xscanimage xscanimage.o progress.o preview.o preferences.o
gtkglue.o ../sanei/libsanei.a -Wl,--rpath -Wl,/usr/local/lib
../backend/.libs/libsane.so ../lib/liblib.a -lgimp -L/usr/lib
-L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext
-lX11 -lm -ldl -ljpeg -lnsl -lm
/usr/lib/libgimp.so: undefined reference to `g_debug'
/usr/lib/libgimp.so: undefined reference to `g_message'
/usr/lib/libgimp.so: undefined reference to `g_warning'
/usr/lib/libgimp.so: undefined reference to `g_error'
make[1]: *** [xscanimage] Error 1
make[1]: Leaving directory `/root/sane-1.00/frontend'
make: *** [all-recursive] Error 1

**** End ****

Is there a specific version of GIMP I should use ???

Thanks, Jean

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: *** Gaetano Paolone ***: "Re: Mustek 1200SP/12000SP Firmware-1.05"
- Previous message: Jerome ALET: "May I help you ?"
- Next in thread: Oliver Rauch: "Re: Compile bug with Gimp libraries"
- Reply: Oliver Rauch: "Re: Compile bug with Gimp libraries"